*,
*::before,
*::after {
  box-sizing: border-box;
}

html,
body,
.container {
  height: 100%;
  margin: 0;
  padding: 0;
}

body {
  font-family: sans-serif;
  background-color: #f9fbfd;
}

.container {
  padding-top: 30px;
  padding-left: 20px;
  padding-right: 20px;
}

header {
  text-align: center;
  padding: 20px;
  padding-top: 0px;
  color: hsl(206, 17%, 28%);
}


.form {
  display: grid;
  grid-template-columns: auto auto;
  row-gap: 1rem;
  column-gap: 3rem;
}

.character-amount-container {
  margin-bottom: 1rem;
  display: flex;
  align-items: right;

}

.title {
  margin: 0;
  text-align: center;
  margin-bottom: 3rem;
}

label {
  font-weight: bold;
}

.character-amount-container {
  display: flex;
  align-items: center;

}

.number-input {
  width: 3rem;
}

label {
  font-weight: bold;
}

.card {
  background-color: hsl(0, 0%, 100%);
  border-radius: 5px;
  border-width: 1px;
  box-shadow: rgba(0, 0, 0, 0.15) 0px 2px 8px 0px;
  color: hsl(206, 17%, 28%);
  font-size: 18px;
  margin: 0 auto;
  max-width: 800px;
  padding: 30px 40px;
}

.password-display {
  background-color: white;
  color: black;
  padding: 1rem;
  border: 1px solid #333;
  height: 2rem;
  width: 350px;
  display: flex;
  justify-content: center;
  align-items: center;
  word-break: break-all;
  border-radius: .5rem;
}

.btn {
  border: none;
  background-color: hsl(360, 91%, 36%);
  border-radius: 25px;
  box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 6px 0px rgba(0, 0, 0, 0.2) 0px 1px 1px
    0px;
  color: hsl(0, 0%, 100%);
  display: inline-block;
  font-size: 22px;
  line-height: 22px;
  margin: 16px 16px 16px 20px;
  padding: 14px 34px;
  text-align: center;
  cursor: pointer;
  margin-left: 212px;
}

#passwordDisplay {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border: none;
  display: block;
  width: 100%;
  padding-top: 15px;
  padding-left: 15px;
  padding-right: 15px;
  padding-bottom: 85px;
  font-size: 1.2rem;
  text-align: center;
  margin-top: 10px;
  margin-bottom: 10px;
  border: 2px dashed #c0c7cf;
  border-radius: 6px;
  resize: none;
  overflow: hidden;
}



@media (max-width: 690px) {
  .btn {
    font-size: 1rem;
    margin: 16px 0px 0px 0px;
    padding: 10px 15px;
  }

  #password {
    font-size: 1rem;
  }
}

@media (max-width: 500px) {
  .btn {
    font-size: 0.8rem;
  }
}